Name:		e2guardian-children-blacklists
Version:	20230217
Release:	%mkrel 1
Summary:	Children Blacklists for e2guardian
#CC-BY-SA for blacklists, GPLv3+ for other
License:	CC-BY-SA and GPLv3+
Group:		System/Servers
URL:		https://dsi.ut-capitole.fr/blacklists
Source0:	https://dsi.ut-capitole.fr/blacklists/download/blacklists.tar.gz
Source1:	children-blacklists.txt
Source2:	update-e2guardian-blacklists
BuildArch:	noarch
AutoReqProv:	no

Requires:	e2guardian
Recommends:	wget

%description
Blacklists for e2guardian, which were configured for Children.
If you want to add new content in blacklists please go:
https://dsi.ut-capitole.fr/cgi-bin/squidguard_modify.cgi
and wait an updates with running update-e2guardian-blacklists.

%prep
%setup -q -n blacklists

#Remove symlinks and pdf
rm -f ads
rm -f aggressive
rm -f drugs
rm -f mail
rm -f porn
rm -f proxy
rm -f violence
rm -f squidguard*
rm -f *.pdf

%build
#nothing

%install
mkdir -p %{buildroot}%{_sysconfdir}/e2guardian/lists/blacklists
cp -Rf ./* %{buildroot}%{_sysconfdir}/e2guardian/lists/blacklists/
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/e2guardian/lists/blacklists/
install -Dpm 755 %{SOURCE2} %{buildroot}%{_bindir}/update-e2guardian-blacklists

%post
#bannedsitelist
cat %{_sysconfdir}/e2guardian/lists/blacklists/children-blacklists.txt | grep -v "#" | while read LINE
do
  A=`cat %{_sysconfdir}/e2guardian/lists/bannedsitelist|grep "^.Include<%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/domains"`
  if [ "$A" = "" ]
  then
    if [ -f "%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/domains" ]
    then
      echo ".Include<%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/domains>" >> %{_sysconfdir}/e2guardian/lists/bannedsitelist
    fi
  fi
done
cat %{_sysconfdir}/e2guardian/lists/blacklists/children-blacklists.txt | grep "#"|cut -d "#" --fields=2 | while read LINE
do
  if [ -f "%{_sysconfdir}/e2guardian/lists/bannedsitelist" ]
  then
    sed -i "s|.Include<%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/domains>||g" %{_sysconfdir}/e2guardian/lists/bannedsitelist
  fi
done

#bannedurllist
cat %{_sysconfdir}/e2guardian/lists/blacklists/children-blacklists.txt | grep -v "#" | while read LINE
do
  A=`cat %{_sysconfdir}/e2guardian/lists/bannedurllist|grep "^.Include<%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/urls>"`
  if [ "$A" = "" ]
  then
    if [ -f "%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/urls" ]
    then
      echo ".Include<%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/urls>" >> %{_sysconfdir}/e2guardian/lists/bannedurllist
    fi
  fi
done
cat %{_sysconfdir}/e2guardian/lists/blacklists/children-blacklists.txt | grep "#"|cut -d "#" --fields=2 | while read LINE
do
  if [ -f "%{_sysconfdir}/e2guardian/lists/bannedurllist" ]
  then
    sed -i "s|.Include<%{_sysconfdir}/e2guardian/lists/blacklists/$LINE/urls>||g" %{_sysconfdir}/e2guardian/lists/bannedurllist
  fi
done

%postun
#clean bannedsitelist, bannedurllist
if [ $1 = 0 ]; then
  for file in `cat %{_sysconfdir}/e2guardian/lists/bannedsitelist|grep "^.Include"|cut -d "<" --fields=2|cut -d ">" --fields=1`
  do
    if [ ! -f "$file" ]
    then
      sed -i -e "s|^.Include<$file>||g" %{_sysconfdir}/e2guardian/lists/bannedsitelist
      sed -i -e' /./,/^$/!d' %{_sysconfdir}/e2guardian/lists/bannedsitelist
    fi
  done
  for file in `cat %{_sysconfdir}/e2guardian/lists/bannedurllist|grep "^.Include"|cut -d "<" --fields=2|cut -d ">" --fields=1`
  do
    if [ ! -f "$file" ]
    then
      sed -i -e "s|^.Include<$file>||g" %{_sysconfdir}/e2guardian/lists/bannedurllist
      sed -i -e' /./,/^$/!d' %{_sysconfdir}/e2guardian/lists/bannedurllist
    fi
  done
fi

%files
%config %{_sysconfdir}/e2guardian/lists/blacklists
%{_bindir}/update-e2guardian-blacklists


%changelog
* Fri Feb 17 2023 daviddavid <daviddavid> 20230217-1.mga9
+ Revision: 1943830
- new version: 20230217

* Mon Nov 28 2022 daviddavid <daviddavid> 20221128-1.mga9
+ Revision: 1912255
- new version: 20221128

* Mon Mar 21 2022 umeabot <umeabot> 20200216-2.mga9
+ Revision: 1811959
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 20200216-1.mga8
+ Revision: 1536128
- new version: 20200216

* Sat Feb 15 2020 umeabot <umeabot> 20190802-2.mga8
+ Revision: 1527996
- Mageia 8 Mass Rebuild

* Sat Aug 03 2019 daviddavid <daviddavid> 20190802-1.mga8
+ Revision: 1427012
- new version: 20190802

* Mon Mar 18 2019 daviddavid <daviddavid> 20190317-1.mga7
+ Revision: 1378564
- new version: 20190317
- now time to obsolete dansguardian-children-blacklists

* Tue Feb 19 2019 daviddavid <daviddavid> 20190218-1.mga7
+ Revision: 1368395
- new version: 20190218

* Wed Oct 31 2018 daviddavid <daviddavid> 20181030-1.mga7
+ Revision: 1326895
- new version: 20181030

* Thu Sep 20 2018 umeabot <umeabot> 20180817-2.mga7
+ Revision: 1278054
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 20180817-1.mga7
+ Revision: 1252527
- new version: 20180817

* Mon May 21 2018 daviddavid <daviddavid> 20180520-1.mga7
+ Revision: 1231044
- new version: 20180520

* Fri Feb 16 2018 daviddavid <daviddavid> 20180215-1.mga7
+ Revision: 1201668
- new version: 20180215

* Fri Aug 04 2017 daviddavid <daviddavid> 20170803-1.mga7
+ Revision: 1134707
- new version: 20170803

* Sat Feb 18 2017 daviddavid <daviddavid> 20170217-1.mga6
+ Revision: 1086670
- new version: 20170217

* Sat Jul 09 2016 daviddavid <daviddavid> 20160628-1.mga6
+ Revision: 1039941
- initial package e2guardian-children-blacklists

